

add_library(testbed testbed.cpp scenes/base_scene.cpp scenes/simple_render_scene.cpp scenes/physics_scene.cpp)

target_include_directories(testbed
    PUBLIC "${PROJECT_BINARY_DIR}"
    PUBLIC ../../
    PUBLIC ../../../external/glm
    PUBLIC ../../../external/glad/include
    PUBLIC ../../../external/glfw/include
    PUBLIC ../../../external/box2d/include
    PUBLIC ../../../external
)

target_link_libraries(testbed box2d dearimgui)